## org.apache.lucene.demo.html
Interface HTMLParserConstants

All Known Implementing Classes:
  HTMLParser, HTMLParserTokenManager

    public interface HTMLParserConstants

Token literal values and constants. Generated by org.javacc.parser.OtherFilesGen#start()

Field Summary
`static int` `AfterEquals` Lexical state.
`static int` `ArgEquals` RegularExpression Id.
`static int` `ArgName` RegularExpression Id.
`static int` `ArgQuote1` RegularExpression Id.
`static int` `ArgQuote2` RegularExpression Id.
`static int` `ArgValue` RegularExpression Id.
`static int` `CloseQuote1` RegularExpression Id.
`static int` `CloseQuote2` RegularExpression Id.
`static int` `Comment1` RegularExpression Id.
`static int` `Comment2` RegularExpression Id.
`static int` `CommentEnd1` RegularExpression Id.
`static int` `CommentEnd2` RegularExpression Id.
`static int` `CommentText1` RegularExpression Id.
`static int` `CommentText2` RegularExpression Id.
`static int` `DeclName` RegularExpression Id.
`static int` `DEFAULT` Lexical state.
`static int` `Entity` RegularExpression Id.
`static int` `EOF` End of File.
`static int` `HEX` RegularExpression Id.
`static int` `LET` RegularExpression Id.
`static int` `NUM` RegularExpression Id.
`static int` `Punct` RegularExpression Id.
`static int` `Quote1Text` RegularExpression Id.
`static int` `Quote2Text` RegularExpression Id.
`static int` `ScriptEnd` RegularExpression Id.
`static int` `ScriptStart` RegularExpression Id.
`static int` `ScriptText` RegularExpression Id.
`static int` `SP` RegularExpression Id.
`static int` `Space` RegularExpression Id.
`static int` `TagEnd` RegularExpression Id.
`static int` `TagName` RegularExpression Id.
`static java.lang.String[]` `tokenImage` Literal token values.
`static int` `WithinComment1` Lexical state.
`static int` `WithinComment2` Lexical state.
`static int` `WithinQuote1` Lexical state.
`static int` `WithinQuote2` Lexical state.
`static int` `WithinScript` Lexical state.
`static int` `WithinTag` Lexical state.
`static int` `Word` RegularExpression Id.

Field Detail

### EOF

    static final int EOF

  End of File.

  See Also:
    Constant Field Values

### ScriptStart

    static final int ScriptStart

  RegularExpression Id.

  See Also:
    Constant Field Values

### TagName

    static final int TagName

  RegularExpression Id.

  See Also:
    Constant Field Values

### DeclName

    static final int DeclName

  RegularExpression Id.

  See Also:
    Constant Field Values

### Comment1

    static final int Comment1

  RegularExpression Id.

  See Also:
    Constant Field Values

### Comment2

    static final int Comment2

  RegularExpression Id.

  See Also:
    Constant Field Values

### Word

    static final int Word

  RegularExpression Id.

  See Also:
    Constant Field Values

### LET

    static final int LET

  RegularExpression Id.

  See Also:
    Constant Field Values

### NUM

    static final int NUM

  RegularExpression Id.

  See Also:
    Constant Field Values

### HEX

    static final int HEX

  RegularExpression Id.

  See Also:
    Constant Field Values

### Entity

    static final int Entity

  RegularExpression Id.

  See Also:
    Constant Field Values

### Space

    static final int Space

  RegularExpression Id.

  See Also:
    Constant Field Values

### SP

    static final int SP

  RegularExpression Id.

  See Also:
    Constant Field Values

### Punct

    static final int Punct

  RegularExpression Id.

  See Also:
    Constant Field Values

### ScriptText

    static final int ScriptText

  RegularExpression Id.

  See Also:
    Constant Field Values

### ScriptEnd

    static final int ScriptEnd

  RegularExpression Id.

  See Also:
    Constant Field Values

### ArgName

    static final int ArgName

  RegularExpression Id.

  See Also:
    Constant Field Values

### ArgEquals

    static final int ArgEquals

  RegularExpression Id.

  See Also:
    Constant Field Values

### TagEnd

    static final int TagEnd

  RegularExpression Id.

  See Also:
    Constant Field Values

### ArgValue

    static final int ArgValue

  RegularExpression Id.

  See Also:
    Constant Field Values

### ArgQuote1

    static final int ArgQuote1

  RegularExpression Id.

  See Also:
    Constant Field Values

### ArgQuote2

    static final int ArgQuote2

  RegularExpression Id.

  See Also:
    Constant Field Values

### Quote1Text

    static final int Quote1Text

  RegularExpression Id.

  See Also:
    Constant Field Values

### CloseQuote1

    static final int CloseQuote1

  RegularExpression Id.

  See Also:
    Constant Field Values

### Quote2Text

    static final int Quote2Text

  RegularExpression Id.

  See Also:
    Constant Field Values

### CloseQuote2

    static final int CloseQuote2

  RegularExpression Id.

  See Also:
    Constant Field Values

### CommentText1

    static final int CommentText1

  RegularExpression Id.

  See Also:
    Constant Field Values

### CommentEnd1

    static final int CommentEnd1

  RegularExpression Id.

  See Also:
    Constant Field Values

### CommentText2

    static final int CommentText2

  RegularExpression Id.

  See Also:
    Constant Field Values

### CommentEnd2

    static final int CommentEnd2

  RegularExpression Id.

  See Also:
    Constant Field Values

### DEFAULT

    static final int DEFAULT

  Lexical state.

  See Also:
    Constant Field Values

### WithinScript

    static final int WithinScript

  Lexical state.

  See Also:
    Constant Field Values

### WithinTag

    static final int WithinTag

  Lexical state.

  See Also:
    Constant Field Values

### AfterEquals

    static final int AfterEquals

  Lexical state.

  See Also:
    Constant Field Values

### WithinQuote1

    static final int WithinQuote1

  Lexical state.

  See Also:
    Constant Field Values

### WithinQuote2

    static final int WithinQuote2

  Lexical state.

  See Also:
    Constant Field Values

### WithinComment1

    static final int WithinComment1

  Lexical state.

  See Also:
    Constant Field Values

### WithinComment2

    static final int WithinComment2

  Lexical state.

  See Also:
    Constant Field Values

### tokenImage

    static final java.lang.String[] tokenImage

  Literal token values.

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.